const coinsInSeries = [
  {x: 0, z: 0, c: 0},

  {x: 0.1378, z: 0.2385, c: 1},
  {x: -0.1378, z: -0.2385, c: 2},
  {x: -0.1378, z: 0.2385, c: 2},
  {x: 0.1378, z: -0.2385, c: 1},
  {x: 0.276, z: 0, c: 2},
  {x: -0.276, z: 0, c: 1},

  {x: 0.2755, z: 0.4767, c: 2},
  {x: -0.2755, z: -0.4767, c: 2},
  {x: -0.2755, z: 0.4767, c: 2},
  {x: 0.2755, z: -0.4767, c: 2},
  {x: -0.552, z: 0, c: 2},
  {x: 0.552, z: 0, c: 2},
  {x: -0.4135, z: 0.2385, c: 1},
  {x: 0.4135, z: -0.2385, c: 1},
  {x: -0.4135, z: -0.2385, c: 1},
  {x: 0.4135, z: 0.2385, c: 1},
  {x: 0, z: 0.4767, c: 1},
  {x: 0, z: -0.4767, c: 1},

  {x: 0.828, z: 0, c: 2},
  {x: 0.6895, z: 0.2385, c: 1},
  {x: 0.5515, z: 0.4767, c: 2},
  {x: 0.4135, z: 0.7147, c: 1},
  {x: 0.138, z: 0.715, c: 2},
  {x: -0.138, z: 0.715, c: 2},
  {x: -0.4135, z: 0.7147, c: 1},
  {x: -0.5515, z: 0.4767, c: 2},
  {x: -.6895, z: 0.2385, c: 1},
  {x: -0.828, z: 0, c: 2},
  {x: -0.6895, z: -0.2385, c: 1},
  {x: -0.5515, z: -0.4767, c: 2},
  {x: -0.4135, z: -0.7147, c: 1},
  {x: -0.138, z: -0.715, c: 2},
  {x: 0.138, z: -0.715, c: 2},
  {x: 0.4135, z: -0.7147, c: 1},
  {x: 0.5515, z: -0.4767, c: 2},
  {x: 0.6895, z: -0.2385, c: 1},
];

function printCentringOfCoins() {
  const boundary = 0.276 / 2 - 0.002;
  const yPos = 0.135;
  let centringCoinsList = [];
  for (let coin of coinsInSeries)
    centringCoinsList.push({
      minX: coin.x - boundary,
      minY: coin.z - boundary,
      maxX: coin.x + boundary,
      maxY: coin.z + boundary,
      posX: coin.x,
      posY: yPos,
      posZ: coin.z,
    });

  console.log(centringCoinsList);
}

printCentringOfCoins();

function printMap(angle) {
  const y = 0;
  let whiteCoinCounter = 0;
  let blackCoinCounter = 0;

  for (let i = 0; i < 19; i++) {
    let a = coinsInSeries[i];
    let id, type, x, z;
    let addProps = '';
    x = a.x;
    z = a.z;
    if (a.c === 0) {
      addProps = '\t\t"isScored": "false",\n';
      id = 'r1';
      type = 'rcoin';
    } else if (a.c === 1) {
      whiteCoinCounter++;
      id = 'w' + whiteCoinCounter;
      type = 'wcoin';
    } else if (a.c === 2) {
      blackCoinCounter++;
      id = 'b' + blackCoinCounter;
      type = 'bcoin';
    }
    let obj = '{\n' +
        '      "type": "' + type + '",\n' +
        '      "id": "' + id + '",\n' +
        '      "owner": -99,\n' +
        '      "position": {\n' +
        '        "x": ' + x + ',\n' +
        '        "y": ' + y + ',\n' +
        '        "z": ' + z + '\n' +
        '      },\n' +
        '      "velocity": {\n' +
        '        "x": 0,\n' +
        '        "y": 0,\n' +
        '        "z": 0\n' +
        '      },\n' +
        '      "rotation": {\n' +
        '        "x": 0,\n' +
        '        "y": 0,\n' +
        '        "z": 0,\n' +
        '        "w": 0\n' +
        '      },\n' +
        '      "props": {\n' +
        addProps +
        '        "boundaryX": "' + boundary + '",\n' +
        '        "boundaryZ": "' + boundary + '"\n' +
        '      }\n' +
        '    }';
    console.log(obj + ',');
  }
  console.log('{\n' +
      '      "type": "striker",\n' +
      '      "id": "stkr",\n' +
      '      "owner": -99,\n' +
      '      "position": {\n' +
      '        "x": 1,\n' +
      '        "y": 2,\n' +
      '        "z": 3\n' +
      '      },\n' +
      '      "velocity": {\n' +
      '        "x": 21,\n' +
      '        "y": 22,\n' +
      '        "z": 23\n' +
      '      },\n' +
      '      "rotation": {\n' +
      '        "x": 211,\n' +
      '        "y": 212,\n' +
      '        "z": 213,\n' +
      '        "w": 214\n' +
      '      }\n' +
      '    },\n' +
      '    {\n' +
      '      "type": "hole",\n' +
      '      "id": "h1",\n' +
      '      "position": {\n' +
      '        "x": 2.12,\n' +
      '        "y": 0,\n' +
      '        "z": 2.12\n' +
      '      }\n' +
      '    },\n' +
      '    {\n' +
      '      "type": "hole",\n' +
      '      "id": "h2",\n' +
      '      "position": {\n' +
      '        "x": 2.12,\n' +
      '        "y": 0,\n' +
      '        "z": -2.12\n' +
      '      }\n' +
      '    },\n' +
      '    {\n' +
      '      "type": "hole",\n' +
      '      "id": "h3",\n' +
      '      "position": {\n' +
      '        "x": -2.12,\n' +
      '        "y": 0,\n' +
      '        "z": 2.12\n' +
      '      }\n' +
      '    },\n' +
      '    {\n' +
      '      "type": "hole",\n' +
      '      "id": "h4",\n' +
      '      "position": {\n' +
      '        "x": -2.12,\n' +
      '        "y": 0,\n' +
      '        "z": -2.12\n' +
      '      }\n' +
      '    }');
}

